/*
 * Copyright (C), 2002-2015, 江苏三六五网络股份有限公司
 * FileName: House365RestResponse.java
 * Author:   duhui
 * Date:     2015年2月3日 下午5:47:04
 * Description:     
 * History: 
 * <author>      <time>      <version>    <desc>
 * 修改人姓名                          修改时间                        版本号                                 描述
 */
package com.house365.rest.parameter;

import java.io.Serializable;

/**
 * 接口Json封装参数
 *
 * @author duhui
 * @version [v1.0.0, 2015年2月3日]
 * @see [相关类/方法]（可选）
 * @since [产品/模块版本] （可选）
 */
public class House365RestResponse<T> implements Serializable {

    /**
     */
    private static final long serialVersionUID = 1L;
    
    /**
     * result 0 为失败，1 为成功
     */
    private String result;
    /**
     * 错误信息
     */
    private String msg = "";
    
    /**
     * 返回的实体对象
     */
    private House365RestObject<T> data;

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public House365RestObject<T> getData() {
        return data;
    }

    public void setData(House365RestObject<T> data) {
        this.data = data;
    }
    
}
